

#ifndef _TEST_H_
#define _TEST_H_

extern void Display_Test(void);

extern void AIN_Test(void);

extern void CTP_Test(void);

extern void RTP_Test(void);

extern void FF_Test(void);

extern void GPIO_Test(int testItem);

extern void NORFlash_Test(void);

extern void NANDFlash_Test(void);

extern void EmbeddedFlash_Test(void);

extern void PIT_Test(void);

extern void PWM_Test(void);

extern void RTC_Test(void);

extern void SD_Test(void);

extern void Standby_Test(void);

extern void UART_Test(int testItem);

extern void WDT_Test(void);

extern void SPIMaster_TxByte(void);
extern void SPIMaster_TxBytes(void);
extern void SPIMaster_RxByte(void);
extern void SPIMaster_RxBytes(void);

extern void SPISlave_TxByte(void);
extern void SPISlave_TxBytes(void);
extern void SPISlave_RxByte(void);
extern void SPISlave_RxBytes(void);

extern void I2CMaster_TxBytes(void);
extern void I2CSlave_TxBytes(void);

extern void LiteOS_Test(void);

#endif
